You are not logged in.

#1 2011-11-12 19:06:36

Gremnon
Member
From: UK
Registered: 2010-03-12
Posts: 43

[Solved] Libreoffice missing dependency

Since Libreoffice 3.4.4-2 hit the extra repository, I've had it throw up this problem whenever I try to perform pacman -Su

error: failed to prepare transaction (could not satisfy dependencies)
:: Starting full system upgrade...
:: libreoffice-common: requires graphite

Yet I can find no package that provides or is named 'graphite', only libgraphite and pango-graphite in extra (neither of which provide graphite) and ttf-linux-libertine-g from AUR, similarly not providing what's needed.
Missing dependency not moved into the main repos?

Edit: nevermind. Outdated mirror hadn't picked it up yet.

Last edited by Gremnon (2011-11-12 19:20:35)

Offline

#2 2011-11-12 19:08:41

Le Void
Member
Registered: 2011-04-23
Posts: 15

Re: [Solved] Libreoffice missing dependency

same problem here, no idea what's up.

Offline

#3 2011-11-12 19:09:28

thea
Member
Registered: 2006-12-22
Posts: 70

Re: [Solved] Libreoffice missing dependency

I'm having the same problem.

Offline

#4 2011-11-12 19:11:19

Gremnon
Member
From: UK
Registered: 2010-03-12
Posts: 43

Re: [Solved] Libreoffice missing dependency

It's just the mirrors not picking it up yet - it's available from [extra] on the packages part of the site, if you can't wait. Only just figured that out myself.

Offline

#5 2011-11-12 19:16:28

dhave
Arch Linux f@h Team Member
From: Outside the matrix.
Registered: 2005-05-15
Posts: 1,110

Re: [Solved] Libreoffice missing dependency

thea wrote:

I'm having the same problem.

Me, too. Must have to do with the way libgraphite and pango-graphite are specified in the libreoffice PKGBUILD(s).

Or not.

Last edited by dhave (2011-11-12 19:18:55)


Donate to Arch!

Tired? There's a nap for that. --anonymous

Offline

#6 2011-11-12 19:19:45

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: [Solved] Libreoffice missing dependency

dhave wrote:
thea wrote:

I'm having the same problem.

Me, too. Must have to do with the way libgraphite and pango-graphite are specified in the libreoffice PKGBUILD(s).

I think OP is right, it's just the mirrors need to sync up.


@Gremnon
If it's working for you, can you please mark the thread as solved?

Offline

#7 2011-11-12 19:22:53

dhave
Arch Linux f@h Team Member
From: Outside the matrix.
Registered: 2005-05-15
Posts: 1,110

Re: [Solved] Libreoffice missing dependency

karol wrote:
dhave wrote:
thea wrote:

I'm having the same problem.

Me, too. Must have to do with the way libgraphite and pango-graphite are specified in the libreoffice PKGBUILD(s).

I think OP is right, it's just the mirrors need to sync up.

Good.


Donate to Arch!

Tired? There's a nap for that. --anonymous

Offline

#8 2011-11-12 19:25:48

karol
Archivist
Registered: 2009-05-06
Posts: 25,430

Re: [Solved] Libreoffice missing dependency

Gremnon wrote:

Yet I can find no package that provides or is named 'graphite', only libgraphite and pango-graphite in extra (neither of which provide graphite) and ttf-linux-libertine-g from AUR, similarly not providing what's needed.

http://www.archlinux.org/packages/?sort … =&limit=50


You can download directly from the mirror by clicking the 'Download From Mirror' link on the top right http://www.archlinux.org/packages/extra/i686/graphite/ (for 32-bit)

Offline

Board footer

Powered by FluxBB